/**
  ******************************************************************************
  * @file    vk16d32.h
  * @author  kevin_guo
  * @version V1.0.0
  * @date    06-05-2017
  * @brief   Header files for IO vk16k33. 
  ******************************************************************************
  * @copy
  */ 
  
#ifndef __VK16D32_H__
#define __VK16D32_H__

#include "M451Series.h"

/* Exported types ------------------------------------------------------------*/
/* Exported constants --------------------------------------------------------*/
/* Exported macro ------------------------------------------------------------*/
/* Exported define -----------------------------------------------------------*/


#define 	VK16D32_SCL_PIN  		 	BIT0
#define 	VK16D32_SCL_PORT  		PA
#define 	VK16D32_SCL_IO    		PA0

#define 	VK16D32_SDA_PIN   		BIT13
#define 	VK16D32_SDA_PORT  		PA
#define 	VK16D32_SDA_IO    		PA13

#define   VK16D32_SCL_HIGH     	VK16D32_SCL_IO = 1  
#define   VK16D32_SCL_LOW      	VK16D32_SCL_IO = 0  
  
#define   VK16D32_SDA_HIGH     	VK16D32_SDA_IO = 1  
#define   VK16D32_SDA_LOW      	VK16D32_SDA_IO = 0   
 
#define   VK16D32_DEVADDR				0x84 
#define   VK16D32_STARTADDR			0x00 

#define 	VK16D32_CTRL_REG      0x12  //״̬ƼĴ
			#define		SHUTDOWN 				0x00  //SHUTDOWN
			#define 	NOMAL_DISPON		0x03  //NORMALʾ
			#define		NOMAL_DISPOFF 	0x01  //NORMALʾ
#define 	VK16D32_GSCAN_REG     0x11  //GRIDɨ
																			//bit3-bit0 1-12(Ĭ)
#define 	VK16D32_SEGI_REG     	0x10  //ȵȼ(SEG˿)
																			//bit3-bit0 4.37mA-35mA(Ĭ)
	/*0x00   0x01   0x02    0x03   0x04   0x05    0x06   0x07 ֱӦ
	  4.37mA 8.75mA 13.13mA 17.5mA 21.8mA 26.25mA 30.6mA 35mA */ 
/* Exported functions ------------------------------------------------------- */
void Vk16d32_Init(void); 

unsigned char VK16D32WriteNData( unsigned char cmdaddr, unsigned char* databuf, unsigned char num);
void VK16D32_Main(void);
#endif  /*__VK16D32_H__*/

/************************END OF FILE****/
